- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
gpath.h File Reference
`#include "gdef.h"`
`#include "gstrings.h"`
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | G::Path
| A Path object represents a file system path. More...

## Namespaces
| G
| Low-level classes.

## Functions
std::ostream & | G::operator<< (std::ostream &stream, const Path &path)
Path & | G::operator+= (Path &p, const std::string &str)
Path | G::operator+ (const Path &p, const std::string &str)